2009-01-13 23:59  hfriederich

	* [r21929] src/opal/rtpconn.cxx:
	  Fix crash due to uninitialized variable

2009-01-14 23:04  rjongbloed

	* [r21930] include/opal/rtpconn.h, src/opal/rtpconn.cxx:
	  Removed ciscoNSEHandler completely if no OPAL_T38_CAPABILITY

2009-01-14 23:56  rjongbloed

	* [r21931] src/opal/opal_c.cxx:
	  Fixed routing to sound device now that PCSS fails if get illegal
	  device name.

2009-01-15 06:25  rjongbloed

	* [r21933] src/sip/sipcon.cxx:
	  Fixed correct "called party URL" for SIP. The "called party",
	  which is a routing name rather than an a user identification
	  name, is always the URI on the incoming INVITE. The users
	  identification (from the To header) is in the GetLocalXXX()
	  functions.

2009-01-15 06:31  rjongbloed

	* [r21934] src/opal/call.cxx, src/opal/connection.cxx:
	  Changed the OpalCall party B string to be the called address
	  rather than the B parties local address which is not what the
	  remote might think. Getting the remotes idea of the address is
	  more useful than the local one as the application probably
	  already knows that as it set it!

2009-01-16 00:23  rjongbloed

	* [r21935] samples/openphone/OpenPhone_2005.vcproj,
	  samples/openphone/OpenPhone_2008.vcproj:
	  Fixed some DevStudio build issues with unicode on OpenPhone.
	  Thanks Yuriy Cherniavsky.

2009-01-17 08:02  rjongbloed

	* [r21936] include/opal/mediastrm.h, include/opal/pcss.h,
	  samples/openphone/main.cxx, samples/openphone/main.h,
	  samples/openphone/openphone.wxg, samples/openphone/openphone.xrc,
	  src/opal/mediastrm.cxx, src/opal/pcss.cxx:
	  Added ability to change the sound device being used by a PCSS
	  endpoint, on the fly during a call. Use the "Transfer" mechanism
	  where if you are transferring intra protocol and the protocol
	  designator is "pc", eg. "pc:blah" to "pc:blech".

2009-01-17 11:46  rjongbloed

	* [r21937] include/opal/audiorecord.h, include/opal/call.h,
	  include/opal/manager.h, src/opal/call.cxx,
	  src/opal/connection.cxx, src/opal/manager.cxx:
	  Changed call recording capability so a) we can choose stereo or
	  mixed mono WAV files, and b) supports multiple simultaneous
	  calls.

2009-01-19 02:35  rjongbloed

	* [r21938] include/opal.h, src/opal/opal_c.cxx:
	  Make it easier to do an "internal" transfer, e.g. from one sound
	  card to another within the "pc" protocol.

2009-01-19 23:50  rjongbloed

	* [r21939] include/opal/rtpconn.h, src/opal/rtpconn.cxx:
	  Inserted new virtual function to create the actual RTP_Session
	  instance in OpalRTPConnection. Allows user overrides of the
	  class.

2009-01-21 04:48  rjongbloed

	* [r21940] samples/openphone/main.cxx:
	  Fixed compile issue for Linux

2009-01-21 14:55  csoutheren

	* [r21941] plugins/configure, plugins/configure.ac,
	  plugins/video/H.263-1998/Makefile.in,
	  plugins/video/H.263-1998/h263-1998.cxx:
	  Allow H.263 plugin to compile with different ffmpeg versions

2009-01-23 11:13  csoutheren

	* [r21945] include/codec/ratectl.h, samples/codectest/main.cxx,
	  src/codec/ratectl.cxx:
	  Improve rate controller performance during media stream startup
	  to avoid swamping destination

2009-01-23 15:28  csoutheren

	* [r21947] include/codec/ratectl.h, include/im/im.h,
	  include/im/msrp.h, include/im/rfc4103.h, include/im/sipim.h,
	  include/im/t140.h, src/codec/ratectl.cxx, src/im/im_mf.cxx,
	  src/im/msrp.cxx, src/im/rfc4103.cxx, src/im/sipim.cxx,
	  src/im/t140.cxx:
	  Fix EOLs

2009-01-24 16:31  dsandras

	* [r21948] plugins/video/H.263-1998/Makefile.in:
	  Fixed compilation on Debian.

2009-01-27 03:01  rjongbloed

	* [r21951] src/opal/connection.cxx, src/opal/manager.cxx:
	  Fixed audio recording when record started before media is
	  started.

2009-01-27 03:02  rjongbloed

	* [r21952] src/opal/mediastrm.cxx, src/opal/pcss.cxx:
	  Added more logging for sound card internal transfer

2009-01-27 08:43  rjongbloed

	* [r21954] src/sip/sippdu.cxx:
	  Fixed failure to decode display name correctly from SIP URL if it
	  does not have quotes or a space between the name and the
	  bracketed URI, e.g. 85<sip:9@fred.nuk> would get "8" instead of
	  "85".

2009-01-28 03:09  rjongbloed

	* [r21956] include/h323/h323caps.h, src/codec/g7231mf.cxx,
	  src/codec/g726mf.cxx, src/codec/g728mf.cxx, src/codec/g729mf.cxx,
	  src/codec/gsm0610mf.cxx, src/codec/gsmamrmf.cxx,
	  src/codec/iLBCmf.cxx, src/h323/h323caps.cxx:
	  Added H.323 capabilities for "known" audio codec types when they
	  are NOT loaded via the plug in system.

2009-01-28 11:03  rjongbloed

	* [r21957] src/t38/t38proto.cxx:
	  Disable jitter buffer on G.711 fax connections.

2009-01-28 22:16  hfriederich

	* [r21958] src/codec/g726mf.cxx, src/codec/g729mf.cxx:
	  fix compilation on gcc 4.0.1 / mac os x

2009-01-28 23:52  rjongbloed

	* [r21959] Makefile.in, include/codec/opalplugin.h,
	  include/opal/mediafmt.h, src/codec/g7221mf.cxx,
	  src/codec/g7222mf.cxx, src/codec/g722mf.cxx,
	  src/win32/opal_lib.vcproj, src/win32/opal_lib_2005.vcproj,
	  src/win32/opal_lib_2008.vcproj:
	  Added G.722, G.722.1 and G.722.2 as "known" codec media formats.

2009-01-29 00:33  rjongbloed

	* [r21961] src/t38/t38proto.cxx:
	  Another go at disabling jitter buffer in fax connections.

2009-01-29 01:06  rjongbloed

	* [r21962] include/opal/mediafmt.h, src/codec/g7221mf.cxx,
	  src/codec/g7222mf.cxx, src/codec/g722mf.cxx,
	  src/codec/g7231mf.cxx, src/codec/g726mf.cxx,
	  src/codec/g728mf.cxx, src/codec/g729mf.cxx,
	  src/codec/gsm0610mf.cxx, src/codec/gsmamrmf.cxx,
	  src/codec/iLBCmf.cxx:
	  Rearranged "known" codec media format definitions so H.323
	  Capability factory is only created if the media format is
	  instantiated via the static function call, or macro e.g.
	  OpalGSMAMR.

2009-01-29 02:07  rjongbloed

	* [r21964] src/codec/g7221mf.cxx, src/codec/g7222mf.cxx,
	  src/codec/g722mf.cxx, src/codec/g728mf.cxx,
	  src/codec/gsm0610mf.cxx, src/codec/gsmamrmf.cxx,
	  src/codec/iLBCmf.cxx:
	  Fixed GNU compiler compatibility

2009-01-29 07:44  rjongbloed

	* [r21965] src/opal/connection.cxx, src/opal/manager.cxx,
	  src/t38/t38proto.cxx:
	  Make sure that string options added by the A-Party are propagated
	  to the B-Party. useful for if a connection (e.g. fax) wants to
	  set options (e.g. Disable-Jitter) on the other side (e.g. SIP).

2009-01-29 22:33  hfriederich

	* [r21966] src/h323/h323caps.cxx:
	  Add workaround for some stupid endpoints that fail to send
	  correct media packetization definitions

2009-01-29 23:16  rjongbloed

	* [r21967] samples/callgen/main.cxx, src/opal/manager.cxx:
	  Added some extra logging.

2009-01-30 23:05  rjongbloed

	* [r21969] src/h323/h323caps.cxx:
	  Reversed out previous check in regarding special case for Polycom
	  H.264 media packetisation, should be done elsewhere, in
	  particular in H.264 plug in!

2009-01-30 23:54  rjongbloed

	* [r21970] samples/callgen/main.cxx, samples/callgen/main.h:
	  Fixed previous commit to allow the output to be disabled so a) it
	  is
	  configurable from command line and b) it does not intefere with
	  the
	  basic operation o fthe program!

2009-01-31 03:13  rjongbloed

	* [r21971] src/sip/sipep.cxx:
	  Fixed missing = sign dialog event packet XML

2009-02-01 23:00  csoutheren

	* [r21973] plugins/audio/iLBC/Makefile.in:
	  Fixed blank soname

2009-02-01 23:04  csoutheren

	* [r21974] plugins/video/H.263-ffmpeg:
	  Remove H.263-ffmpeg - it has been superceded by H.263-1998

2009-02-01 23:14  csoutheren

	* [r21975] include/sip/sdpcaps.h:
	  Tracker 2489538 - Removed obsolete file
	  Thanks to Peter Robinson

2009-02-01 23:17  csoutheren

	* [r21976] plugins/audio/iLBC/Makefile.in:
	  Forgot to add attribution :)
	  Tracker 2555959 - thanks to Peter Robinson

2009-02-03 18:43  dsandras

	* [r21982] plugins/video/THEORA/theora_plugin.cxx:
	  Applied patch from Peter Robinson to fix compilation with GCC
	  4.4.

2009-02-04 02:23  rjongbloed

	* [r21983] plugins/audio/SBC, plugins/audio/celt:
	  Ignorance

2009-02-04 02:28  rjongbloed

	* [r21984] Makefile.in, plugins/Makefile.in,
	  samples/c_api/Makefile, samples/simple/Makefile:
	  Added depend target

2009-02-04 04:31  rjongbloed

	* [r21986] include/rtp/jitter.h, include/rtp/rtp.h,
	  samples/codectest/main.cxx, samples/jester/main.cxx,
	  samples/opalcodecinfo/main.cxx, src/codec/rfc2833.cxx,
	  src/codec/rfc4175.cxx, src/iax2/iax2con.cxx, src/im/rfc4103.cxx,
	  src/opal/patch.cxx, src/opal/transcoders.cxx, src/rtp/rtp.cxx:
	  Fixed issue with call recording sometimes failing with very
	  strange error.
	  
	  Was in fact caused by confusion when creating RTP_DataFrame
	  objects between payload size and buffer size. API was changed
	  very slightly (removal of default parameter) so every usage must
	  be examined and verified if it is intended to be a actual payload
	  size or just the allocated memory.

2009-02-04 05:55  rjongbloed

	* [r21987] include/opal.h, src/java/OpalParamRecording.java,
	  src/java/exampleJNI.java, src/java/java_swig_wrapper.c,
	  src/opal/opal_c.cxx:
	  Added ability to set mono/stereo recording of calls in "C" API.

2009-02-04 06:28  rjongbloed

	* [r21988] include/codec/g711codec.h, src/codec/g711codec.cxx:
	  Use common base class for u-Law and A-Law packet loss
	  concealment.

2009-02-04 06:34  rjongbloed

	* [r21989] src/opal/transcoders.cxx:
	  Make sure output data size is for max possible received frames
	  per packet.

2009-02-04 07:41  csoutheren

	* [r21990] include/codec/ratectl.h, src/codec/opalpluginmgr.cxx,
	  src/codec/ratectl.cxx, src/opal/mediastrm.cxx:
	  Improve rate controller (again) and fix problems with
	  reporting receipt and generation of I-frames in plugins

2009-02-04 07:53  rjongbloed

	* [r21991] samples/c_api/main.c:
	  Added test for stereo file record

2009-02-04 07:56  rjongbloed

	* [r21992] src/opal/call.cxx, src/opal/connection.cxx,
	  src/opal/manager.cxx:
	  Fixed only recoding one half of a conversation if record file is
	  opened
	  before audio channels are opened.
	  
	  If get write error, now stops recording.
	  
	  Added more logging.

2009-02-05 05:33  rjongbloed

	* [r21997] include/sip/handlers.h, include/sip/sippdu.h,
	  src/sip/handlers.cxx, src/sip/sipep.cxx:
	  Fixed dialog event package returning last state when get a
	  SUBSCRIBE refresh, instead of default "not in call" state.

2009-02-05 07:41  rjongbloed

	* [r21998] src/sip/sipcon.cxx:
	  Fixed possible path through the OnReleased code for SIP that does
	  not send a dialog event NOTIFY.

2009-02-05 08:11  rjongbloed

	* [r21999] src/opal/ivr.cxx:
	  Fixed IVR releasing connection and terminating call when it runs
	  out of media to play, was getting into deadlock.

2009-02-05 08:31  rjongbloed

	* [r22000] src/sip/handlers.cxx:
	  Don't mark a registrar as unavailable due to transport error
	  unless every interface fails, not just one.

2009-02-05 09:32  rjongbloed

	* [r22003] samples/mobileopal/MobileOpalDlg.cpp:
	  Added remote address to incoming call display.
	  
	  Reduced default log level to 3 as level 4 slows things up too
	  much.

2009-02-06 02:34  rjongbloed

	* [r22004] include/sip/handlers.h, include/sip/sipep.h,
	  include/sip/sippdu.h, src/sip/handlers.cxx, src/sip/sipcon.cxx,
	  src/sip/sipep.cxx:
	  Fixed dialog event package notification support of multiple
	  simultaneous calls on same entity.

2009-02-06 02:52  rjongbloed

	* [r22005] src/t38/t38proto.cxx:
	  Further attempts to prevent jitter buffer from being used when in
	  G.711 fax mode.

2009-02-06 04:23  rjongbloed

	* [r22006] include/sip/handlers.h, src/sip/handlers.cxx:
	  Fixed incorrect usage of std::map, want to overwrite old value
	  and insert doesn't.

2009-02-06 05:48  rjongbloed

	* [r22007] src/opal/connection.cxx:
	  Fixed correct stream ID generation for recording so now can
	  distinguish
	  between incoming and outgoing audio.

2009-02-06 06:02  rjongbloed

	* [r22008] src/opal/manager.cxx:
	  Fixed truncating WAV file when recording over existing file.

2009-02-06 06:03  rjongbloed

	* [r22009] include/opal/opalmixer.h, src/opal/opalmixer.cxx:
	  Removed unused member variable in mixer/recording system.

2009-02-06 06:53  rjongbloed

	* [r22010] samples/callgen/main.cxx:
	  Make sure callgen waits for gatekeeper registration to complete
	  before making calls.

2009-02-06 08:17  rjongbloed

	* [r22011] src/codec/rfc2833.cxx:
	  Reduced default RFC2833 DTMF "beep" time to 90ms and make the
	  RFC2833 end packet happens closer to the actual real time for
	  ending the beep. Needed due to gateway that cannot play the next
	  digit until after it has finished the previous one, and doesn't
	  start playing it till it received all the RFC2833 packets,
	  effectively requiring a 50% duty cycle and halving the DTMF rate.

2009-02-06 22:46  rjongbloed

	* [r22012] src/opal/endpoint.cxx:
	  Added trace log of listening interfaces for endpoint.

2009-02-06 22:49  rjongbloed

	* [r22013] src/h323/gkclient.cxx:
	  Fixed suppression of H.323 gatekeeper discovery on interfaces not
	  being used by the H.323 listeners.

2009-02-07 02:25  rjongbloed

	* [r22019] ., include/opal/mediafmt.h, src/opal/mediafmt.cxx:
	  Added ability to suppress codecs based on type (audio/video)
	  
	  Also added negative search for media format names e.g. !G.711*
	  which is everything but G.711 ALaw and G.711 uLaw. If put into
	  the OpalManager::SetMediaFormatMask() then that means ONLY G.711
	  will be used.

2009-02-07 14:29  dsandras

	* [r22020] plugins/configure, plugins/configure.ac:
	  Fixed autoconf after removal of H.263-ffmpeg.

2009-02-08 04:50  rjongbloed

	* [r22021] samples/callgen/main.cxx:
	  Added ability to set STUN server in callgen

2009-02-08 05:01  rjongbloed

	* [r22022] src/h323/gkclient.cxx, src/opal/endpoint.cxx:
	  Fixed previous fix for only using gatekeepers on same interfaces
	  H.323 listeners are active. Now works with STUN enabled.

2009-02-08 05:56  rjongbloed

	* [r22023] include/h323/gkclient.h, include/h323/transaddr.h,
	  src/h323/gkclient.cxx, src/h323/transaddr.cxx:
	  Code tidy up so H.323 uses newer common code for listener
	  interface address management.

2009-02-09 03:36  rjongbloed

	* [r22024] src/sip/sippdu.cxx:
	  Fixed getting correct status code passed to OnTransactionFailed()
	  when get transaction layer error.

2009-02-10 02:39  rjongbloed

	* [r22025] plugins/Installer_2003.vdproj,
	  plugins/Installer_2005.vdproj, plugins/plugins_2003.sln,
	  plugins/plugins_2005.sln, plugins/plugins_2008.sln:
	  Completed removal of deprecated H.263 ffmpeg plug in.

2009-02-10 03:02  rjongbloed

	* [r22026] src/h323/gkclient.cxx:
	  Fixed race condition when H.323 GCF arrives very quickly, before
	  we have finished sending GRQ packets to all the interfaces.

2009-02-10 04:27  csoutheren

	* [r22027] include/codec/opalplugin.h, include/opal/mediafmt.h,
	  src/opal/mediafmt.cxx, src/opal/patch.cxx:
	  Add new media option strings for TIAS and rate controller
	  tweaking

2009-02-10 05:25  csoutheren

	* [r22029] include/opal.h, include/sip/sdp.h,
	  opal_samples_2005.sln, src/im/sipim.cxx, src/sip/sdp.cxx,
	  src/sip/sipcon.cxx, src/t38/sipt38.cxx:
	  Initial support for TIAS

2009-02-11 01:28  rjongbloed

	* [r22032] src/h323/channels.cxx:
	  Fixed missing session ID in outgoing OLC, including fast connect
	  offer and answer versions of OLC.

2009-02-11 03:00  rjongbloed

	* [r22033] src/opal/connection.cxx:
	  Fixed stop recording using correct stream ID if media closed in
	  some place other than the end of a call.

2009-02-11 03:37  rjongbloed

	* [r22034] include/h323/h323con.h, include/opal/connection.h,
	  include/sip/sipcon.h, src/h323/h323.cxx, src/opal/connection.cxx,
	  src/sip/sipcon.cxx:
	  Changed OpalConnection::GetIdentifer() to return string as H.323
	  is the only thing that uses a globally unique ID. That code was
	  moved to the H323Connection class.

2009-02-11 05:20  rjongbloed

	* [r22035] include/codec/opalplugin.h, src/codec/opalpluginmgr.cxx:
	  Added ability for a plug in codec to get access to the OPAL/PTlib
	  logging system, without including PTLib itself, by use of a call
	  back function.

2009-02-11 06:37  csoutheren

	* [r22036] src/codec/opalpluginmgr.cxx:
	  Fix compilation on Linux

2009-02-11 07:13  rjongbloed

	* [r22037] include/sip/sipep.h, include/sip/sippdu.h,
	  samples/openphone/main.cxx, src/sip/handlers.cxx,
	  src/sip/sipcon.cxx, src/sip/sipep.cxx, src/sip/sippdu.cxx:
	  Added ability for a plug in codec to get access to the OPAL/PTLib
	  logging system, without including PTLib itself, by use of a call
	  back function.Changes to the internal structures so can actually
	  make a call to ones self. Why would you possibly want to do that?
	  Well, some server applications can end up doing it, usually with
	  different destination user names.
	  
	  Includes some code tidying so that when a call-id or a dialog tag
	  is created a single function does the creation, allowing for
	  experimenting with algorithms on something other than the rather
	  long GUID to be used, without changing code in twelve
	  places.Changes to the internal structures so can actually make a
	  call to ones self. Why would you possibly want to do that? Well,
	  some server applications can end up doing it, usually with
	  different destination user names.

2009-02-12 00:31  rjongbloed

	* [r22044] src/codec/opalpluginmgr.cxx:
	  Another code tidy up and documentation enhancement for
	  PAtomicInteger class.

2009-02-12 00:44  rjongbloed

	* [r22045] include/opal/manager.h, src/opal/manager.cxx:
	  Fixed ability to call OpalManager::ClearAllCalls() from multiple
	  simultaneous threads.

2009-02-12 02:36  csoutheren

	* [r22047] samples/codectest/main.cxx:
	  Add missing end of lines in help message
	  Add extra logging

2009-02-12 02:37  csoutheren

	* [r22048] src/opal/mediafmt.cxx:
	  Add Tx Key Frame option for all video codecs

2009-02-12 05:58  rjongbloed

	* [r22050] include/sip/sipep.h, src/sip/sipep.cxx:
	  Fixed correct detection of forked INVITE requests, was getting
	  false positive on retries.

2009-02-12 07:20  rjongbloed

	* [r22052] src/sip/sipep.cxx:
	  Restored missing "100 Trying" on incoming INVITE.

2009-02-12 07:30  csoutheren

	* [r22053] include/opal/mediafmt.h, src/opal/mediafmt.cxx,
	  src/opal/patch.cxx:
	  Backport (up-port?) rate control scaler controls

2009-02-13 01:47  rjongbloed

	* [r22056] include/sip/sipep.h, src/sip/sipcon.cxx,
	  src/sip/sipep.cxx:
	  Another go to deal correctly with incoming INVITE
	  retransmissions.

2009-02-13 23:09  rjongbloed

	* [r22058] src/opal/call.cxx:
	  Applied patch:
	  
	  [ 2458090 ] Fix early media with OpalCall::OpenSourceMediaStreams
	  
	  thanks Yuriy Cherniavsky

2009-02-13 23:57  rjongbloed

	* [r22059] include/opal.h:
	  Improved documentation

2009-02-14 02:50  rjongbloed

	* [r22060] src/sip/sipcon.cxx:
	  Fixed compiler warning and improved comments.

2009-02-15 12:06  rjongbloed

	* [r22066] include/h323/svcctrl.h:
	  Applied patch:
	  
	  [ 2458310 ] add a func for get amount from
	  H323ServiceControlSession
	  
	  thanks Anonymous

2009-02-15 22:59  rjongbloed

	* [r22067] src/h323/gkclient.cxx:
	  Fixed race condition where transmissions of GRQ's start before
	  packet handler thread has started.

2009-02-16 00:23  rjongbloed

	* [r22068] src/sip/sipcon.cxx, src/sip/sippdu.cxx:
	  Fixed issues with CANCEL:
	  
	  ACK not sent at all if remote sends a 100 in response to CANCEL
	  
	  No resends of ACK on multiple 487 responses, so if ACK gets lost
	  call is not correctly cancelled.
	  
	  Found by hongsion

2009-02-16 01:20  rjongbloed

	* [r22070] src/sip/sippdu.cxx:
	  Applied a modified version of patch:
	  
	  [ 2508866 ] opal v3.4 Wolf sippdu has logic bug
	  
	  thanks xue hangzhou

2009-02-16 11:18  rjongbloed

	* [r22072] samples/codectest/main.cxx:
	  Improved display of I-Frames

2009-02-16 11:21  rjongbloed

	* [r22073] include/codec/opalpluginmgr.h,
	  src/codec/opalpluginmgr.cxx:
	  Fixed incorrect I-Frame status returned at start of frame decode.
	  Don't know till end of decode.
	  
	  Added throttle to transmission of VideoFastUpdate so do not flood
	  the remote with packets.

2009-02-16 11:22  rjongbloed

	* [r22074] src/sip/sipcon.cxx:
	  Fixed VideoFastUpdate being received sent to the video encoder
	  not the decoder.

2009-02-16 23:46  rjongbloed

	* [r22078] src/opal/patch.cxx, src/opal/transports.cxx,
	  src/sip/sipep.cxx:
	  Adjusted thread priorities so that protocol commands, e.g. things
	  like hang up the call, are highest priority, then the media

2009-02-17 04:53  rjongbloed

	* [r22081] src/opal/rtpconn.cxx:
	  Added define for new to use debug version, where applicable.

2009-02-18 03:29  rjongbloed

	* [r22084] src/sip/sippdu.cxx:
	  Fixed sending CANCEL when long timeout occurs in SIP transaction.
	  In particular this fixes a correct abort of the call on a "no
	  answer" INVITE.

2009-02-18 03:35  csoutheren

	* [r22085] plugins/video/H.263-1998/rfc2190.cxx:
	  Remove spurious couts

2009-02-18 03:37  csoutheren

	* [r22086] src/opal/mediafmt.cxx:
	  Tx Key Frame Period = 0 means send all I-frames, not send no
	  I-frames. This means it is not a good default value...

2009-02-18 03:41  rjongbloed

	* [r22087] src/sip/sipep.cxx:
	  Fixed incoming CANCEL for a transaction (and particularly for
	  INVITE) is routed correctly so it actually cancels the
	  transaction.

2009-02-18 04:46  rjongbloed

	* [r22088] src/sip/sipcon.cxx:
	  Fixed correct call ended cause code when SIP call not answered.

2009-02-19 04:19  rjongbloed

	* [r22089] include/opal/mediastrm.h, src/opal/mediastrm.cxx:
	  Changed silence insertion algorithm for raw media streams that
	  can't handle it themselves. Now inserts a chunk of silence based
	  on the size of the incoming packets. Pretty well all
	  implementations end the same amount of audio in every packet, so
	  we use that as the amount of silence to insert.

2009-02-20 05:22  csoutheren

	* [r22091] include/opal/transports.h, src/opal/transports.cxx:
	  Make OpalTransportAddress a descendant of PCaselessString to
	  avoid case problems
	  when comparing protocol types

2009-02-21 03:25  rjongbloed

	* [r22096] include/opal.h, include/opal/call.h,
	  include/opal/connection.h, include/opal/endpoint.h,
	  include/opal/manager.h, samples/c_api/main.c, src/h323/h323.cxx,
	  src/java/OpalMessageType.java, src/lids/lidep.cxx,
	  src/opal/call.cxx, src/opal/connection.cxx,
	  src/opal/endpoint.cxx, src/opal/manager.cxx, src/opal/opal_c.cxx,
	  src/sip/sipcon.cxx:
	  Added a "proceeding" phase, with call backs, for when the remote
	  system has been contacted and it has accepted responsibility for
	  completing, or failing, the call. This is distinct from
	  OnAlerting() in that it is not known at this time if anything is
	  ringing. This indication may be used to distinguish between
	  "transport" level error, in which case another host may be tried,
	  and that finalising the call has moved "upstream" and the local
	  system has no more to do but await a result.

2009-02-21 04:55  rjongbloed

	* [r22097] include/h323/h323con.h, include/opal.h,
	  include/opal/connection.h, include/sip/sipcon.h,
	  include/sip/sippdu.h, samples/openphone/main.cxx,
	  src/h323/h323.cxx, src/java/OpalParamSetUpCall.java,
	  src/java/OpalStatusIncomingCall.java, src/java/exampleJNI.java,
	  src/java/java_swig_wrapper.c, src/opal/connection.cxx,
	  src/opal/opal_c.cxx, src/sip/sipcon.cxx, src/sip/sippdu.cxx:
	  Added support for the "alerting type", aka distinctive ring, to
	  and from SIP/H.323.

2009-02-23 02:06  rjongbloed

	* [r22105] src/win32/CopyDTF_2008.bat, src/win32/opal_2003.dtf,
	  src/win32/opal_2005.dtf, src/win32/opal_2005_wm.dtf,
	  src/win32/opal_2005_wm6.dtf, src/win32/opal_2008.dtf,
	  src/win32/opal_dll_2008.vcproj, src/win32/opald_2003.dtf,
	  src/win32/opald_2005.dtf, src/win32/opald_2005_wm.dtf,
	  src/win32/opald_2005_wm6.dtf, src/win32/opald_2008.dtf,
	  src/win32/opaln_2003.dtf, src/win32/opaln_2005.dtf,
	  src/win32/opaln_2005_wm.dtf, src/win32/opaln_2005_wm6.dtf,
	  src/win32/opaln_2008.dtf:
	  Updated symbols

2009-02-23 11:41  dsandras

	* [r22106] plugins/configure, plugins/configure.ac:
	  Completely dropped references to old ffmpeg H.263.

